Home | All Classes | Grouped Classes | Index | Search

# Class CL_NetStream

Net stream class. More...

Derived from: none
Derived by: none
Group: Network (NetSessions)

#include <ClanLib/network.h>

Construction:

CL_NetStream | Connects to a remote netstream.

Attributes:

input | Input source interface for netstream.
output | Output source interface for netstream.
get_read_trigger | Event trigger for reading.
get_write_trigger | Event trigger for writing.
get_computer | Get remote computer

Operations:

operator = | Copy constructor.
send | Send data onto stream.
recv | Receive data from stream.

Implementation:

impl |

Detailed description:

!group=Network/NetSessions! !header=network.h!
Questions or comments, write to the ClanLib mailing list.